org.eclipse.viatra.transformation.evm.api.event

## Enum EventType.DynamicEventType

- java.lang.Object
- - java.lang.Enum<EventType.DynamicEventType>
  - - org.eclipse.viatra.transformation.evm.api.event.EventType.DynamicEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType.DynamicEventType>, EventType
  Enclosing interface:
    EventType

      public static enum EventType.DynamicEventType
      extends java.lang.Enum<EventType.DynamicEventType>
      implements EventType

  Event type to use in case CRUD (Create/Read/Update/Dispose) events.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.transformation.evm.api.event.EventType

      `EventType.DynamicEventType, EventType.RuleEngineEventType`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPEARED`
    `DISAPPEARED`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType.DynamicEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType.DynamicEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPEARED

          public static final EventType.DynamicEventType APPEARED

    - #### UPDATED

          public static final EventType.DynamicEventType UPDATED

    - #### DISAPPEARED

          public static final EventType.DynamicEventType DISAPPEARED

  - ### Method Detail

    - #### values

          public static EventType.DynamicEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType.DynamicEventType c : EventType.DynamicEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType.DynamicEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null